<mat-card *ngIf="loaded" class="ticketListItem" [id]="'ticketListItem'+ticket.id">
  <mat-card-title>{{ticket.singleEvent.name}}</mat-card-title>
  <mat-card-content>
    <table>
      <tr>
        <td>Date</td>
        <td>Location</td>
        <td>Hall</td>
      </tr>
      <tr>
        <td>{{ticket.singleEvent.startDate | date: 'dd.MM.yyyy hh:mm'}}</td>
        <td>{{location.name}}</td>
        <td>{{space.name}}</td>
      </tr>
      <tr>
        <td>Section</td>
        <td *ngIf="ticket.row !== null && !(ticket.row === 0 && ticket.seat === 0)">Row</td>
        <td *ngIf="ticket.seat !== null && !(ticket.row === 0 && ticket.seat === 0)">Seat</td>
      </tr>
      <tr>
        <td *ngIf="ticket.groundFloor">{{ticket.groundFloor.name}}</td>
        <td *ngIf="ticket.seatSpace">{{ticket.seatSpace.name}}</td>
        <td *ngIf="ticket.row !== null && !(ticket.row === 0 && ticket.seat === 0)">{{ticket.row}}</td>
        <td *ngIf="ticket.seat !== null && !(ticket.row === 0 && ticket.seat === 0)">{{ticket.seat}}</td>
      </tr>
      <tr>
        <td>Price</td>
        <td *ngIf="!ticket.paid">Expiration date</td>
      </tr>
      <tr>
        <td>{{ticket.price}}$</td>
        <td *ngIf="!ticket.paid">{{ticket.expirationDate}}</td>
        <td [id]="'payButton'+ticket.id" align="right" *ngIf="!ticket.paid"><button mat-raised-button (click)="payTicket(ticket)" color="primary">Pay</button></td>
        <td [id]="'cancelButton'+ticket.id" class="cancel-reservation-button" align="right" *ngIf="!ticket.paid"><button mat-raised-button (click)="cancelReservation(ticket)" color="primary">Cancel</button></td>
      </tr>
    </table>

  </mat-card-content>
</mat-card>
